commit:     5eb1ae3fffef028aa39336af876dce7fd21434a6
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 27 19:46:04 2023 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Fri Jan 27 19:48:06 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5eb1ae3f

dev-ml/camlp5: add 8.00.04

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/camlp5/Manifest              |  1 +
 dev-ml/camlp5/camlp5-8.00.04.ebuild | 55 +++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-ml/camlp5/Manifest b/dev-ml/camlp5/Manifest
index 703a5309725c..534d080aa9ad 100644
--- a/dev-ml/camlp5/Manifest
+++ b/dev-ml/camlp5/Manifest
@@ -5,4 +5,5 @@ DIST camlp5-7.14.tar.gz 1044110 BLAKE2B 
c9aa5be80df8d2c376fc41c157b2cd86658dbb90
 DIST camlp5-8.00.01.tar.gz 1321790 BLAKE2B 
df4403af56cd07f8e07745bdb73f698ddba24803cde22f11cfbeda425d4360f51be45a92b3f522c52a204f867bb3403dacebf20bfe463f6fd751901102ef2213
 SHA512 
f40e57845ac4a14cf260ddd9df616d12df09f67efaf6735e915598aee981721e8203bf9203fb83d08e34e43021c08003de64dbf3bdcd4d12fd079542fb7649aa
 DIST camlp5-8.00.02.tar.gz 1340114 BLAKE2B 
a251973253a729fd568f9a8410d43e963ca4879b7298186358293869bec0eabe79e97f819cd4af3c771490fbd4a7bd8cb1d47482f4fe699720b3577bad8536f4
 SHA512 
b9950cac70e77d62f147dc8edac0aef2a2bb563ca7bbc709dcf030e2536a0973188414c8612f8b2441a6e05c4d09579bc474974513bf0c59ad4702a46a0cc7f6
 DIST camlp5-8.00.03.tar.gz 1217877 BLAKE2B 
971bd45c2740586b9883bd92f42479ae432cc8ca08010cf37edc90174dd71e79f6495e9f3d11b2f2900bf79e44f495152d8a1015cf5c7dba29a19e8a75c15196
 SHA512 
a6259d2d491ed1f967dd383f03d3da65a3f383d28340111f57883c6d56cee2d267c0f752ba98bcdb72c24cf724a606718de26b6c55b84ad9b5f8f6d620f3cba1
+DIST camlp5-8.00.04.tar.gz 1232659 BLAKE2B 
47dd18e9c518b0dccda62d054d7950dffa025a129c81eb673e6caf11f37c2af1644de861288af2ecb8e95ee4d21bf0a1d69da4fe9ed5b3d1cf3bf1012ea06d4c
 SHA512 
0951a9528c8c9b4becf54b352a6f897cb1af26de437a137757d597a3a2ad8aef1160a3c326c9503f783bccd154d8c14a354d3a35baae2bb551611697ce4f5327
 DIST camlp5-8.00.tar.gz 1321320 BLAKE2B 
14957ea83e40f3e2f68c7cbbec1ab84325eba1057f38905a37f9516a99a009024ee0b463cf588880d23d94e710b027b835dd51153a429c8bda22be7fe95dc911
 SHA512 
6a0d19ced4d94cd3afebfbc373d344229c5faf088e8910dea32ed4dfa841dd9844c72849f8a6281e2bce55295665eae90391cf29d062a44b083761a9e04bce93

diff --git a/dev-ml/camlp5/camlp5-8.00.04.ebuild 
b/dev-ml/camlp5/camlp5-8.00.04.ebuild
new file mode 100644
index 000000000000..187bb0f348a4
--- /dev/null
+++ b/dev-ml/camlp5/camlp5-8.00.04.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit findlib vcs-clean
+
+DESCRIPTION="A preprocessor-pretty-printer of ocaml"
+HOMEPAGE="https://camlp5.github.io/";
+SRC_URI="https://github.com/camlp5/camlp5/archive/rel${PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${PN}-rel${PV}"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc +ocamlopt"
+
+RDEPEND="dev-ml/camlp-streams:="
+
+src_prepare() {
+       egit_clean
+       default
+}
+
+src_configure() {
+       ./configure \
+               --strict \
+               -prefix /usr \
+               -bindir /usr/bin \
+               -libdir /usr/$(get_libdir)/ocaml \
+               -mandir /usr/share/man || die "configure failed"
+}
+
+src_compile() {
+       ulimit -s 11530000
+       emake out
+       if use ocamlopt; then
+               emake opt
+               emake opt.opt
+       fi
+}
+
+src_test() {
+       emake bootstrap
+}
+
+src_install() {
+       emake DESTDIR="${ED}" install
+       # findlib support
+       insinto "$(ocamlfind printconf destdir)/${PN}"
+       doins etc/META
+
+       dodoc -r doc/*
+       dodoc CHANGES DEVEL ICHANGES README.md UPGRADING MODE
+}

Reply via email to